Bug 426771 - 2.6.23.9-85.fc8 breaks laptop fans
2.6.23.9-85.fc8 breaks laptop fans
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-26 00:03 EST by Jeff Utter
Modified: 2009-01-09 00:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:37:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Utter 2007-12-26 00:03:11 EST
Description of problem:

It seems that 2.6.23.9-85.fc8 breaks my laptop fans. 2.6.23.8-63.fc8 did not.
After about 30 minutes of casual youtubing with .23.9 i find my cpu temperature
up to ~ 75c and notice the fans arn't making a peep. Right now with .23.8 i'm
running prime95 stress testing and am hitting about 45c and the fans are on
steadily.


Version-Release number of selected component (if applicable):

2.6.23.9-85.fc8

How reproducible:

Every time

Steps to Reproduce:
1. Boot my laptop
2. Do something processor intensive
3. Wait for your hands to melt
  
Actual results:

CPU gets HOT fans don't run

Expected results:

CPU gets luke-warm, fans do run

Additional info:

This is on a Gateway M265E Core 2 Duo laptop with a GM965 chipset (this has
never had good acpi support in general, but melting plastic is a bit more than i
can handle)

Let me know if you need any more information.
Comment 1 Jeff Utter 2008-01-01 00:39:09 EST
I have a little update here... it turns out it is not 2.6.23.9-85 where they
break, i'm currently running 2.6.23.8-63.fc8 and the fans WERE working...
however my laptop was feeling a bit toasty and i checked the sensors and here is
the output:

$ sensors
coretemp-isa-0000
Adapter: ISA adapter
Core 0:      +90°C  (high =  +100°C)                   

coretemp-isa-0001
Adapter: ISA adapter
Core 1:      +90°C  (high =  +100°C)

90!!! that is certainly not safe. And my fans arn't spinning one bit. I havn't
been able to figure out what causes it yet but *something* (maybe plugging in
the power or network or something) is causing my fans to stop only in linux.
Comment 2 Kasper Dupont 2008-01-05 03:37:48 EST
I wonder if 426699 and 426771 might be duplicates of 407751
Comment 3 Jeff Utter 2008-01-06 18:33:56 EST
Sounds like they may be related. but the other two bugs have quite different
symptoms

Is there any more information i could provide to help nail it down?
Comment 4 Jeff Utter 2008-01-08 11:59:48 EST
I don't know what has changed, but i snagged the latest kernel from koji
2.6.23.12-101.fc8  and the fans don't work from the get-go... no working for a
while and eventually stopping like before.
Comment 5 Chuck Ebbert 2008-01-08 18:26:17 EST
What is in /proc/acpi/fan/*/state when the problems are happening.
Can you force the fans on by echoing "1" to the 'state' files?
Comment 6 Jeff Utter 2008-01-08 19:47:16 EST
Right now, i recently restarted and i'm using 2.6.23.8-63.fc8 ...
/proc/acpi/fan/ is empty... At the moment the fans are working (with
2.6.23.8-63.fc8 the fans seemed to stop working *eventually*) I'll try with
2.6.23.12-101.fc8 later where the fans seemed broken right off the bat.
Comment 7 Jeff Utter 2008-01-25 15:24:47 EST
I tested out 2.6.24-0.167.rc8.git4.fc9  just to see what would happen, It was
running for about 2 days (including some suspending and resuming) and i THOUGHT
it was fine, however now the fans have stopped. It's practically idle and the
temps are up around 65c. I wasn't doing anything fancy, it's clearly not
something that stops from suspending and resuming.. how can i troubleshoot this?
Comment 8 Bug Zapper 2008-11-26 04:10:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 00:37:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.